Register or refresh a mobile push device
curl --request POST \
--url https://punchplay.tv/api/platform/v1/me/push-devices \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"token": "<string>",
"environment": "production",
"deviceId": "<string>",
"deviceName": "<string>"
}
'import requests
url = "https://punchplay.tv/api/platform/v1/me/push-devices"
payload = {
"token": "<string>",
"environment": "production",
"deviceId": "<string>",
"deviceName": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
token: '<string>',
environment: 'production',
deviceId: '<string>',
deviceName: '<string>'
})
};
fetch('https://punchplay.tv/api/platform/v1/me/push-devices', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"deviceId": "<string>",
"deviceName": "<string>",
"enabled": true,
"lastSeenAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z"
}{
"error": "<string>",
"message": "<string>",
"request_id": "<string>",
"required_scope": "<string>"
}{
"error": "<string>",
"message": "<string>",
"request_id": "<string>",
"required_scope": "<string>"
}{
"error": "<string>",
"message": "<string>",
"request_id": "<string>",
"required_scope": "<string>"
}{
"error": "<string>",
"message": "<string>",
"request_id": "<string>",
"required_scope": "<string>"
}{
"error": "<string>",
"message": "<string>",
"request_id": "<string>",
"required_scope": "<string>"
}{
"error": "<string>",
"message": "<string>",
"request_id": "<string>",
"required_scope": "<string>"
}Notifications
Register or refresh a mobile push device
Reserved for first-party PunchPlay clients.
POST
/
api
/
platform
/
v1
/
me
/
push-devices
Register or refresh a mobile push device
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Body
application/json
Required string length:
20 - 512Available options:
ios, android Available options:
apns, expo, fcm Available options:
development, production Maximum string length:
160Maximum string length:
100Response
Registered push device
Available options:
ios, android Available options:
apns, expo, fcm Available options:
development, production ⌘I